## org.aspectj.weaver.loadtime.definition
Enum Definition.DeclareAnnotationKind

    java.lang.Object
      java.lang.Enum<Definition.DeclareAnnotationKind>
          org.aspectj.weaver.loadtime.definition.Definition.DeclareAnnotationKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Definition.DeclareAnnotationKind>

Enclosing class:
  Definition

    public static enum Definition.DeclareAnnotationKind

extends java.lang.Enum<Definition.DeclareAnnotationKind>

Enum Constant Summary
`Field`
`Method`
`Type`

Method Summary
`static Definition.DeclareAnnotationKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Definition.DeclareAnnotationKind[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Method

    public static final Definition.DeclareAnnotationKind Method

### Field

    public static final Definition.DeclareAnnotationKind Field

### Type

    public static final Definition.DeclareAnnotationKind Type

Method Detail

### values

    public static Definition.DeclareAnnotationKind[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Definition.DeclareAnnotationKind c : Definition.DeclareAnnotationKind.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Definition.DeclareAnnotationKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null